"Exponent-2.8.9" archive is empty

#1

I have been having issues installing the latest Expo Client on iOS simulator, so I attempted to follow the manual install instructions at v30 installation instructions.

When I try to download the latest simulator build from http://expo.io/--/api/v2/versions/download-ios-simulator-build I end up with an empty archive. Looks like the link might be broken.

Appreciate your help.

Thanks in advance.

Environment:
OS: macOS High Sierra 10.13.6
Node: 8.11.4
Yarn: 1.9.4
npm: 6.4.1
Watchman: 4.9.0
Xcode: Xcode 9.4.1 Build version 9F2000
Android Studio: 3.1 AI-173.4907809

Packages: (wanted => installed)
expo: 30.0.0 => 30.0.0
react: 16.3.1 => 16.3.1
react-native: https://github.com/expo/react-native/archive/sdk-30.0.0.tar.gz => 0.55.4

#2

Hi @maboud - thanks for letting us know so quickly. As far as we can tell, this only affects the iOS simulator build. We’re reverting to a previous version while we figure this out.

#3

Thank you @esamelson for your prompt response.

I downloaded and installed Exponent-2.7.2 successfully. However it doesn’t seem to be compatible with projects created with expo -V 1.2.3.

it says on the expo client: The experience you requested requires a newer version of the expo client…

Any recommendation of which expo version I should install to get it to work with Exponent-2.7.2? Is there a compatibility matrix somewhere on the website?

Thanks again!

#4

We’re actively working on getting a working new version up there, please be patient! :sweat_smile: In the meantime you can use the Expo app from the App Store on a real iOS device, or develop on Android. We’re really sorry for the inconvenience.

#5

I am sure you guys will get it up and running shortly. Just fyi, the latest version posted on the Canadian App Store is 2.7.5, so it the same issue on real devices. Just mentioning it in case it should have been posted. Also Expo-cli 2.0.0 installs Expo Client 2.7.2 on the simulator.

Cheers

#6

@maboud a working simulator build has been pushed out now, so you can run exp ios again. Sorry again for the inconvenience. Re: app store, I think sometimes it just takes a while for updates to be pushed out to everyone, but it should have been released in all territories!

1 Like
closed #7

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.